%define	name	kasumi
%define	version	2.0.1
%define	release	%mkrel 2.20060803.2
%define	Summary	A tool for managing Anthy's dictionary

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://kasumi.sourceforge.jp/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildrootroot
Requires:	pango atk gtk+2.0
Requires:	anthy >= 6300
BuildRequires:	pango-devel atk-devel gtk+2-devel

%description
A tool for managing Anthy's dictionary.

%prep
%setup -q

%build
aclocal-1.9
autoconf-2.5x
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/kasumi" \
	icon="text_tools_section.png" \
	title="Kasumi" \
	longtitle="%{Summary}" \
	needs="x11" \
	section="System/Text Tools"  \
	xdg="true"
EOF

desktop-file-install	--vendor="" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
			--remove-category="Applications" \
			--add-category="X-MandrivaLinux-System-TextTools" \
			%{name}.desktop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/kasumi.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/kasumi.1*
%{_menudir}/%{name}

%changelog
* Thu Aug 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.1-2.20060803.2mdv2007.0
- fix summary macro usage for menu item
- fix section in menu item
- drop COPYING file as package is GPL
- cosmetics

* Thu Aug 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0.1-2.20060803.1mdv2007.0
- fix build
- XDG menu
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o latest snapshot (includes fixes for gcc-4.1.1)
  o remove patch0 (kasumi-fix-for-anthy-7716.diff) (merged upstream)

* Mon Jul 03 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.1-1mdv2007.0
- SECURITY FIX RELEASE

* Thu Dec 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1mdk
- new release

* Thu Oct 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.10-1mdk
- new release

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9-1mdk
- new release

* Sat Apr 09 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8-1mdk
- new release

* Mon Jan 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7-2.cvs20050110.1mdk
- latest snapshot

* Sun Jan 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7-1mdk
- first spec for mdk
- do not package empty files (tv)
